Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface Graph

All Known Implementing Classes:
  GraphImpl

public interface Graph
extends ArchivedGeometryWidget, ArchivedGeometryWidgetS

A time series graph tool.. A time series graph tool, based on BLT's graph widget. Graph currently implements just a basic graph with multiple datasets, but should eventually support scaling and scrolling. For each Graph you create one or many GraphElements, one per dataset to plot. GraphElements can be configured for appearance, and data can be added to the element to draw.

Method Summary
`GraphElement` | `createElement()` Builds a new GraphElement to plot data with.
`java.lang.Object` | `setAxisLabelsX$Y(java.lang.String xl, java.lang.String yl)` Set the axis labels for the graph.
`void` | `setRangesXMin$Max(double minx, double maxx)` Sets the X ranges for the graph.
`void` | `setRangesXMin$Max$YMin$Max(double minx, double maxx, double miny, double maxy)` Sets the ranges for the graph.
`void` | `setRangesYMin$Max(double miny, double maxy)` Sets the Y ranges for the graph.
`void` | `setScaleModeX$Y(boolean xs, boolean ys)` Whether to autoscale every timestep or instead to jump scale.
`java.lang.Object` | `setTitle(java.lang.String title)` Set the title for the graph.

Methods inherited from interface swarm.gui.ArchivedGeometryWidget
`updateArchiver`

Methods inherited from interface swarm.gui.Widget
`disableDestroyNotification, enableDestroyNotification$notificationMethod, getDestroyedFlag, getHeight, getParent, getTopLevel, getWidgetName, getWidth, getWindowGeometry, getX, getY, pack, packBeforeAndFillLeft$expand, packFill, packFillLeft, packForgetAndExpand, packToRight, setActiveFlag, setHeight, setWidth, setWidth$Height, setWindowGeometry, setWindowTitle, setX$Y`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setTitle

    public java.lang.Object setTitle(java.lang.String title)

  Set the title for the graph.

### setAxisLabelsX$Y

    public java.lang.Object setAxisLabelsX$Y(java.lang.String xl,
                                             java.lang.String yl)

  Set the axis labels for the graph.

### createElement

    public GraphElement createElement()

  Builds a new GraphElement to plot data with.

### setScaleModeX$Y

    public void setScaleModeX$Y(boolean xs,
                                boolean ys)

  Whether to autoscale every timestep or instead to jump scale.

### setRangesXMin$Max

    public void setRangesXMin$Max(double minx,
                                  double maxx)

  Sets the X ranges for the graph. Turns off autoscaling.

### setRangesYMin$Max

    public void setRangesYMin$Max(double miny,
                                  double maxy)

  Sets the Y ranges for the graph. Turns off autoscaling.

### setRangesXMin$Max$YMin$Max

    public void setRangesXMin$Max$YMin$Max(double minx,
                                           double maxx,
                                           double miny,
                                           double maxy)

  Sets the ranges for the graph. Turns off autoscaling.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD